# FoundationClasses
TKernel
Quantity

# Quantity_PeriodDefinitionError Class Reference

`#include <Quantity_PeriodDefinitionError.hxx>`

Inheritance diagram for Quantity_PeriodDefinitionError:

[legend]

## Public Member Functions

Standard_EXPORT | Quantity_PeriodDefinitionError ()
Standard_EXPORT | Quantity_PeriodDefinitionError (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
| Raises an exception of type "Failure" and associates an error message to it. The message can be printed in an exception handler. .
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
| Raises an exception of type "Failure" and associates an error message to it. The message can be constructed at run-time. .
static Standard_EXPORT | Handle (Quantity_PeriodDefinitionError) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const
| Used only if standard C++ exceptions are used. Throws exception of the same type as this by C++ throw, and stores current object as last thrown exception, to be accessible by method Caught() .

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Quantity_PeriodDefinitionError_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Quantity_PeriodDefinitionError::Quantity_PeriodDefinitionError | ( |  | ) | `[inline]`

Standard_EXPORT Quantity_PeriodDefinitionError::Quantity_PeriodDefinitionError | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Quantity_PeriodDefinitionError::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Standard_DomainError.

static Standard_EXPORT Quantity_PeriodDefinitionError::Handle | ( | Quantity_PeriodDefinitionError |  | ) | const`[static]`

static Standard_EXPORT void Quantity_PeriodDefinitionError::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

| Reimplemented from Standard_DomainError.

static Standard_EXPORT void Quantity_PeriodDefinitionError::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

| Reimplemented from Standard_DomainError.

virtual Standard_EXPORT void Quantity_PeriodDefinitionError::Throw | ( |  | ) | const`[private, virtual]`

| Reimplemented from Standard_DomainError.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Quantity_PeriodDefinitionError_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Quantity_PeriodDefinitionError.hxx